Get Balances
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/payouts/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payouts/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/payouts/balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/payouts/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"btc": {
"btc": 0,
"usd": null,
"failed": false
},
"addresses": {
"btc": "",
"ltc": "",
"eth": "",
"eth_usdt": "",
"eth_usdc": "",
"sol": "",
"sol_usdt": "",
"sol_usdc": ""
},
"ltc": {
"ltc": 0,
"usd": null,
"failed": false
},
"eth": {
"eth": null,
"usd": null,
"failed": false
},
"eth_usdt": {
"eth_usdt": "0",
"usd": 0,
"failed": false
},
"eth_usdc": {
"eth_usdc": "0",
"usd": 0,
"failed": false
},
"sol": {
"sol": null,
"usd": null,
"failed": false
},
"sol_usdt": {
"sol_usdt": "0",
"usd": 0,
"failed": false
},
"sol_usdc": {
"sol_usdc": "0",
"usd": 0,
"failed": false
}
}Crypto Wallet
Get Balances
Retreive the current balances of the crypto wallets.
GET
/
v1
/
shops
/
{shopId}
/
payouts
/
balances
Get Balances
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/payouts/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payouts/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/payouts/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/payouts/balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/payouts/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"btc": {
"btc": 0,
"usd": null,
"failed": false
},
"addresses": {
"btc": "",
"ltc": "",
"eth": "",
"eth_usdt": "",
"eth_usdc": "",
"sol": "",
"sol_usdt": "",
"sol_usdc": ""
},
"ltc": {
"ltc": 0,
"usd": null,
"failed": false
},
"eth": {
"eth": null,
"usd": null,
"failed": false
},
"eth_usdt": {
"eth_usdt": "0",
"usd": 0,
"failed": false
},
"eth_usdc": {
"eth_usdc": "0",
"usd": 0,
"failed": false
},
"sol": {
"sol": null,
"usd": null,
"failed": false
},
"sol_usdt": {
"sol_usdt": "0",
"usd": 0,
"failed": false
},
"sol_usdc": {
"sol_usdc": "0",
"usd": 0,
"failed": false
}
}Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json